## xu4 1.0-1beta4-maemo1

=== src/Makefile ===
#
# $Id$
#

prefix=/usr/local
bindir=$(prefix)/bin
libdir=$(prefix)/lib
datadir=$(prefix)/share

UI=sdl
UILIBS=$(shell sdl-config --libs) -lSDL_mixer
UIFLAGS=$(shell sdl-config --cflags)

FEATURES=-DHAVE_BACKTRACE=1 -DHAVE_VARIADIC_MACROS=1
DEBUGCXXFLAGS=-ggdb1 -rdynamic -g -O0 -fno-inline -fno-eliminate-unused-debug-types -gstabs -g3
CXXFLAGS=$(FEATURES) -Wall -I. $(UIFLAGS) $(shell xml2-config --cflags) -DICON_FILE=\"$(datadir)/pixmaps/u4.bmp\" -DVERSION=\"$(VERSION)\" $(DEBUGCXXFLAGS)
CFLAGS=$(CXXFLAGS)
LIBS=$(UILIBS) $(shell xml2-config --libs) -lpng
INSTALL=install

ifeq ($(STATIC_GCC_LIBS),true)
    LDFLAGS+=-L. -static-libgcc
endif

include Makefile.common

install::
	$(INSTALL) -D $(MAIN) $(bindir)/$(MAIN)
	$(INSTALL) -D ../icons/u4.bmp $(datadir)/pixmaps/u4.bmp
	$(INSTALL) -D ../icons/u4.png $(datadir)/pixmaps/u4.png
	mkdir -p $(libdir)/u4/music
	$(INSTALL) ../mid/*.mid $(libdir)/u4/music
	mkdir -p $(libdir)/u4/sound
	$(INSTALL) ../sound/*.ogg $(libdir)/u4/sound
	$(INSTALL) -D coord $(libdir)/u4/coord
	$(INSTALL) -D dumpsavegame $(libdir)/u4/dumpsavegame
	$(INSTALL) -D tlkconv $(libdir)/u4/tlkconv
	$(INSTALL) -D u4dec $(libdir)/u4/u4dec
	$(INSTALL) -D u4enc $(libdir)/u4/u4enc
	$(INSTALL) -D u4unpackexe $(libdir)/u4/u4unpackexe
	$(INSTALL) ../conf/*.xml $(libdir)/u4
	mkdir -p $(libdir)/u4/dtd
	$(INSTALL) ../conf/dtd/*.dtd $(libdir)/u4/dtd
	mkdir -p $(libdir)/u4/graphics
	mkdir -p $(libdir)/u4/graphics/ega
	mkdir -p $(libdir)/u4/graphics/vga
	$(INSTALL) ../graphics/ega/*.png $(libdir)/u4/graphics/ega
	$(INSTALL) ../graphics/vga/*.png $(libdir)/u4/graphics/vga
	$(INSTALL) -D ../u4.desktop $(datadir)/applications/u4.desktop

# use GCC's automatic dependency generation
.depends::
	rm -f .depends
	$(CC) $(CFLAGS) -MM $(CSRCS) >> .depends
	$(CXX) $(CXXFLAGS) -MM $(CXXSRCS) >> .depends

# a target to build without dependencies on libstdc++, libgcc_s
all.static_gcc_libs:
	ln -s `$(CXX) -print-file-name=libstdc++.a` .
	$(MAKE) STATIC_GCC_LIBS=true
	rm -f libstdc++.a

-include .depends

=== debian/changelog ===
xu4 (1.0-1beta4-maemo1) unstable; urgency=low

  * first release for N900

 -- Holger Nahrstaedt <holgernahrstaedt@gmx.de>  Wed,  9 May 2012 05:27:15 -0400

=== debian/control ===
Source: xu4
Section: user/games
Priority: extra
Maintainer: Holger Nahrstaedt <holgernahrstaedt@gmx.de>
Homepage: http://xu4.sourceforge.net
Build-Depends: debhelper (>= 5), libsdl1.2-dev, libsdl-mixeroggwav1.2-dev, libxml2-dev, 
 libpng12-dev, quilt
Standards-Version: 3.9.1

Package: xu4
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ultima4-data
Recommends: ultima4-graphics-upgrade
Suggests: timidity
Description: Ultima IV remake
 XU4 is a remake of the computer game Ultima IV. 
 The goal is to make it easy and convenient to play this classic on
 modern operating systems. XU4 is primarily inspired by the much more 
 ambitious project Exult. XU4 is a cross-platform application thanks to 
 SDL; it's available for Windows, MacOS X, Linux and more.
XSBC-Bugtracker: mailto:holgernahrstaedt@gmx.de
XB-Maemo-Display-Name: Ultima IV remake
XB-Maemo-Icon-26:
 iVBORw0KGgoAAAANSUhEUgAAAEAAAABACAIAAAAlC+aJAAAACXBIWXMAAAsS
 AAALEgHS3X78AAAETUlEQVR4nM2ZLXobMRCGdYwewbAwoCAgwHBBgWFAgWFA
 QWFhoGGgoWGOYJhjFPoW7shjj8fztyPt5kfP92xsrVb7vdKMVuuU54f7KdoM
 S9DLz0EL6id2/vfHndafu+9cBWtnZ8BK3fh4LKAO36b7KwBpRgDTPZ6NGfLu
 DYAOmKbhpzaaIemYhG0K/5JRZhJaAfLjLdxfAcxzHRiBe84APcAHPJLyALyZ
 AZDn8aYiDmthvXXsuSXouZM7nyq6fWC9Sdh/1Ev3zJji0TInwJQ1uANABNJE
 9wbAKMZcAoD9vpOBWx15KDYhPZaCMlNZNAb3o49kcZXZIAsQw5D1ZyVvScUZ
 yDDEmnQ9jsryYl0w4DwED7WhTHVfAabvGQUAaM0w4p3pdIZCz85ukqUTPJzB
 m40OAN4VqIjvngL3Szb2NANrgfFwb+4y/v1ekUa9ctGeqogdWCvJ0k9fEUV6
 p83dzwDQx6CH35sEfhc4CvcBgPm6ZwNkJBjisScdDof9fn9gZbstIPjguX8v
 AMHAPWnTonAGAoC/Xiq/FwBhaIujxWT4BICkxSQAuNQMOl9nA8iPcXxKAIwu
 OPMAdLuHsjwVDQDdDsVd0L8EgLgQSRAAPmDPg3piZNR2TezeAzgej2YnfAY+
 AsAzzaMiAxCog6FsV6ukpgAkbwEAeT+o7AXd7r8EgGnr7e2Nu58+/H0MZfu4
 GpW2jiULkLgFqQK0tHdbwwbLG34PwHT/aQDE4LkfBWi13sdQdr8ePeFGF5dq
 7T4DEHQeCADyjVMAJAFQf1dQ+ioA9KJ0uDwyNQnMgMkAwujvA2higF3ssxb4
 piMOJ64wAgNDyGOAU6/rdZ+gg2TLUp6ehKrvlxc8cvc8BziALgjQ7V4zmKN8
 VoHTStX95YhqTeLKEN94TNCBrFRjXWUCBKpxf5oZOGoAXlPbm7fMqQLoem2p
 A4BK4P7KMEGVYbSZO4n+NeRP7B3MiEp5de5oA8gcMGcwjM4mgMowYxroZHBH
 xY9Ocp8EqAxzZcL0HKAQyuRAWyD1pUGfex0/BNCfCR8M4M0A1XPCbgCDQSZx
 vP74GWwC6FccPVG122CdyADcJPHo+mNlsBdCongMZ5L06nezHIlUvvnirQYt
 IWROiDsVQpm1aEoOLBYLL1oySIJhnlTOW4cyDEPS68cxJN2DdQ6QdG8WNyVC
 D6+vvQDomwq+pulwzwMEGE3xfAEIdyPCPQI0PYPjZoSBSdVmPdrMXQQAT5fi
 AfCv9INzUIP9mEtzwzzQkppJXFHop33xYskrzRr6sNvtsPN6o8a9sHwgxADf
 TmUUQPjm1oOa81TQHVv3qnESU/BoAB0/Ok7iyuv/J0+LW0/u3qxC1laERz/P
 AVqI8CejuOjwEwxyEjpXISv4ePSLJCZpf33lmgwiR0e1xt+FdBSq5V+7n4th
 cSk3vjM5cF5GxYz47k0AFE7RZrMRUQc1SffGohRHzqXZf0n8PJdAtcHqAAAA
 AElFTkSuQmCC
 ====

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# GNU copyright 1997 to 1999 by Joey Hess.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

include /usr/share/quilt/quilt.make

tmp=$(shell pwd)/debian/tmp
source=$(shell pwd)/source/xu4-1.0beta3+cvs20100811.tar
xu4=$(shell pwd)/debian/xu4



CFLAGS = -Wall -g

ifneq (,$(findstring noopt,$(DEB_BUILD_OPTIONS)))
	CFLAGS += -O0
else
	CFLAGS += -O2
endif
ifeq (,$(findstring nostrip,$(DEB_BUILD_OPTIONS)))
	INSTALL_PROGRAM += -s
endif

configure: configure-stamp
configure-stamp: patch
	dh_testdir
	touch configure-stamp


build: build-stamp

build-stamp: configure-stamp 
	dh_testdir
	$(MAKE) -C src 
	touch build-stamp

clean: unpatch
	dh_testdir
	dh_testroot
	rm -rf build-stamp configure-stamp $(xu4)
	$(MAKE) clean -C src
	dh_clean 

install: build
	dh_testdir
	dh_testroot
	rm -rf $(xu4)
	dh_installdirs
	$(MAKE) install DESTDIR=$(xu4) -C src

# Build architecture-independent files here.
binary-indep: build install
# We have nothing to do by default.

# Build architecture-dependent files here.
binary-arch: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs 
	dh_installdocs
	dh_installexamples
	dh_install
#	dh_installmenu
#	dh_installdebconf	
#	dh_installlogrotate
#	dh_installemacsen
#	dh_installpam
#	dh_installmime
#	dh_installinit
#	dh_installcron
#	dh_installinfo
#	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
#	dh_perl
#	dh_python
#	dh_makeshlibs
	dh_installdeb
	dh_shlibdeps
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install configure
